SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   HotPlug CMS Vendors:   hotplugcms.com
HotPlug CMS Missing Input Validation in 'login1.php' Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1016321
SecurityTracker URL:  http://securitytracker.com/id/1016321
CVE Reference:   CVE-2006-3189   (Links to External Site)
Updated:  Oct 13 2008
Original Entry Date:  Jun 16 2006
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 1.0
Description:   A vulnerability was reported in HotPlug CMS. A remote user can conduct cross-site scripting attacks.

The 'login1.php' script does not properly filter HTML code from user-supplied input before displaying the input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the HotPlug CMS software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A demonstration exploit URL is provided:

http://[target]/[hpc_path]/administration/tblcontent/login1.php?msg=[xss]

Federico Fazzi discovered this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the HotPlug CMS software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.hotplugcms.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  HotPlugCMS 1.0, Cross-Site Scripting Vulnerabilities

-----------------------------------------------------
Advisory id: FSA:017

Author:    Federico Fazzi
Date:	   15/06/2006, 20:31
Sinthesis: HotPlugCMS 1.0, Cross-Site Scripting Vulnerabilities
Type:	   low
Product:   http://hotplugcms.com/
Patch:	   unavailable
-----------------------------------------------------


1) Description:


Error occured in login1.php:



2) Proof of concept:

http://example/[hpc_path]/administration/tblcontent/login1.php?msg=[xss]

3) Solution:

echo "messages";

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC